Index: admin_templates/categories/ci_blocks.tpl
===================================================================
--- admin_templates/categories/ci_blocks.tpl	(revision 14472)
+++ admin_templates/categories/ci_blocks.tpl	(working copy)
@@ -66,13 +66,15 @@
 <inp2:m_DefineElement name="structure_reload_element">
 	var $menu_frame = getFrame('menu');
 
-	<inp2:m_if check="m_Recall" var="RefreshStructureTree">
-		<inp2:m_DefineElement name="structure_node">
-			$menu_frame.ReloadFolder('<inp2:m_param name="section_url" js_escape="1"/>', true);
-		</inp2:m_DefineElement>
-		<inp2:adm_PrintSection render_as="structure_node" section_name="in-portal:browse"/>
-		<inp2:m_RemoveVar var="RefreshStructureTree"/>
-	</inp2:m_if>
+	if ( $menu_frame.ajax_requests_count == 0 ) {
+		<inp2:m_if check="m_Recall" var="RefreshStructureTree">
+			<inp2:m_DefineElement name="structure_node">
+				$menu_frame.ReloadFolder('<inp2:m_param name="section_url" js_escape="1"/>', true);
+			</inp2:m_DefineElement>
+			<inp2:adm_PrintSection render_as="structure_node" section_name="in-portal:browse"/>
+			<inp2:m_RemoveVar var="RefreshStructureTree"/>
+		</inp2:m_if>
 
-	$menu_frame.SyncActive('<inp2:m_t pass="m" m_opener="r"/>');
+		$menu_frame.SyncActive('<inp2:m_t pass="m" m_opener="r"/>');
+	}
 </inp2:m_DefineElement>
\ No newline at end of file
Index: admin_templates/js/tree.js
===================================================================
--- admin_templates/js/tree.js	(revision 14472)
+++ admin_templates/js/tree.js	(working copy)
@@ -1,3 +1,4 @@
+var ajax_requests_count = 0;
 var last_hightlighted = null;
 var last_highlighted_key = null;
 
@@ -580,6 +581,7 @@
 	}
 
 	$object.Reloading = false;
+	ajax_requests_count--;
 }
 
 TreeFolder.prototype.reload = function()
@@ -594,6 +596,7 @@
 	this.AddLoadingNode();
 
 	// sending request to receive items
+	ajax_requests_count++;
 	Request.headers['Content-type'] = 'text/xml';
 	Request.makeRequest(this.LateLoadURL, false, '', this.successCallback, this.errorCallback, 'reload', this);
 }
@@ -625,6 +628,7 @@
 			this.AddLoadingNode();
 
 			// sending request to receive items
+			ajax_requests_count++;
 			Request.headers['Content-type'] = 'text/xml';
 			Request.makeRequest(this.LateLoadURL, false, '', this.successCallback, this.errorCallback, '', this);
 		}
